Eclipse BIRT Report Object Model (ROM)

Theme Element

# Element Overview

Represents a theme in the library

### Details

Display Name: | Theme
Since: | 2.0
XML Element: | `theme`
Extends: | ReportElement
Extendable: | No
Abstract: | No
Name Space: | None
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

cssStyleSheets

### Slot Summary

styles
  A collection of styles within the theme.

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, newHandlerOnEachEvent, propertyMasks, userProperties, viewAction

### Description

Theme is a container for a collection of Styles.A library can define a number of theme, themes in a library share "theme" namespace.

When a report use a libary with themes, report can specify one theme. In that, all the styles within the theme is availble to the report, and the selectors within the theme is put in the search path for a style property.

# Property Detail

## cssStyleSheets Property

### Details

Type: | List of IncludedCssStyleSheet Structures
Since: | 2.2
Required: | No
Display Name: | Css style sheets
JavaScript Type: |
Default Value: | None
Inherited: | No
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top

# Slot Detail

## styles Slot

A collection of styles within the theme.

### Details

Display Name: | Styles
Since: | 2.0
XML Element: | `styles`
Contents: | List of Style

### Description

Each theme can contain zero, one or more styles.